org.eclipse.graphiti.func

## Interface IResizeShape

All Known Subinterfaces:
  IPattern, IResizeShapeFeature

All Known Implementing Classes:
  AbstractPattern, DefaultResizeShapeFeature, IdPattern, ResizeShapeFeatureForPattern, TypedPattern

    public interface IResizeShape

The Interface IResizeShape.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canResizeShape(IResizeShapeContext context)` Can resize shape.
`void` `resizeShape(IResizeShapeContext context)` Resize shape.

### Method Detail

#### canResizeShape

    boolean canResizeShape(IResizeShapeContext context)

Can resize shape.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### resizeShape

    void resizeShape(IResizeShapeContext context)

Resize shape.

Parameters:
  `context` - the context